package it.cs.android33;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.AutoCompleteTextView;
import android.widget.RatingBar;
import android.widget.SeekBar;
import android.widget.Spinner;

public class Elements extends Activity implements SeekBar.OnSeekBarChangeListener {

    RatingBar rb;
    SeekBar sb;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.elements);

        sb = (SeekBar) findViewById(R.id.seekBar);

        rb = (RatingBar) findViewById(R.id.ratingBar);

        sb.setOnSeekBarChangeListener(this);



        Spinner sp = (Spinner) findViewById(R.id.spinner);
        ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(this,
                R.array.spinner, android.R.layout.simple_spinner_item);
        adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        sp.setAdapter(adapter);


        AutoCompleteTextView actv = (AutoCompleteTextView) findViewById(R.id.autoCompleteTextView);
        String[] tips=getResources().getStringArray(R.array.nomi);
        ArrayAdapter<String> ad = new ArrayAdapter(this, android.R.layout.simple_dropdown_item_1line, tips);
        actv.setThreshold(1);
        actv.setAdapter(ad);

    }


    @Override
    public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
        Log.v("AAA", String.valueOf(i));
        float g = (float) ((i / 100.0) * rb.getNumStars());
        rb.setRating(g);

    }

    @Override
    public void onStartTrackingTouch(SeekBar seekBar) {

    }

    @Override
    public void onStopTrackingTouch(SeekBar seekBar) {

    }

}
